TULISAN - Bug #3568

Perbaikan Jurnal Accounting
04/16/2025 12:04 PM - haykal haykal

Status: Closed Start date: 04/16/2025
Priority: Immediate Due date: 04/16/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Mbak Yomma,

Ingin ada perbaikan untuk jurnalnya. Jadi tadi 'kan saya test membuat transaksi Sales dari CRM. Tapi saya cek di jurnal
Accountingnya bim balance.

Ternyata ada beberapa yang perlu direvisi. Harusnya jurnal yang terbentuk adalah seperti file yang saya attach ini.
Tolong diperbaiki ya.

DocNo AR Posting (Jurnal Penjualan): 00000463
DocNo SO: 00000530

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 04/16/2025 12:31 PM - Kezia Pawitra Yulianti
- Due date set to 04/16/2025
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#2 - 04/16/2025 03:23 PM - haykal haykal

- Assignee changed from Tri Rizqiaty to shofwan shiddiq

Wan, jadinya seperti yang gw jelasin tadi. Saat ini 'kan gua lihat angka yg ada di field TotalNetSales salah.

Intinya sih itu kayaknya salah karena NetPrice nya salah. Jadi kalau misalkan ada Diskon basis angka yang dijadikan NetPrice itu dikurangi diskon
dulu. (Jadi harusnya 765.000 bukan 850.000)

Untuk detailnya ada di file yang diattach.

Bisa compare juga di tabel PTRSALESHEADER
DocNo yang tergenerate dari CRM (yang salah): 00000530
DocNo yang saving dari Ul (yang benar): 00000536

Terimakasih.

#3 - 04/17/2025 10:17 AM - shofwan shiddiq

- File clipboard-202504171016-sqnwh.png added

- File clipboard-202504171016-phiwx.png added

- File clipboard-202504171016-a0atl.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, sudah di betulin yah perhitungan nya.
https://tulisan-dev.minovais.com/

ini saya sudah submit doc baru dengan nilai transakasi Nilai asli 850.000 dand di diskon10%

Doc No = 00000544

Payment Method

Order Submitted

Document Number; 00000544
Customer; Hania

Confirm Trans
Material Type Unit Price Discount Type Disc % Discount Net Price Warehouse Item Status
Finish Goods Pcs 850,000.00 AMA-BUNDLING-2 10 85,000.00 765,000.00 WHDS Closed
4 >
Material Group: 1.00
Discount: 85,000.00
Net Price: 765.000.00
Total Item: 1

B G

S5QLQuery1l.sql - 103...lisan_Dev (sa (69))* + X
mselect * from PTRSALESITEMS where Doclo='08288544°

s
¥
select * from PTRSALESITEMS where Doclo='000285326" ~
hd
76 % <
B Resulis g¥ Messages
axType Tax TotAmount RefDecTr  RefDocTy RefDoclD  Sequence Warehouse ltemStatus  Sample QtySample MatenialType QtyReal QtyAdjust MatenalGroup  NefTax NetSales TotalMAP  MAP
1 75811.00 765000.00 1} oooz 2 0.00 03 0.00 0.00 01 689188.00 7747189.00 77447361 77447361
axType Tax Tottmount RefDocTr RefDocTy RefDoclD Sequence Warehouse ItemStatus Sample QtySample MaterialType QtyReal QtyAdjust MaterialGroup NefTax MNetSales TotalMAP MAP
1 75811.00 765000 o 2 0.00 03 0.00 0.00 689188.00 774189.00 77447400 77447400

Sudah sama persis dengan Doc yang disimpan melalui Ul ES 00000536

#4 - 04/17/2025 11:34 AM - haykal haykal

- Status changed from QA Test to Assigned

- Assignee changed from haykal haykal to Tri Rizqgiaty

Udh Ok Wan.

Tinggal yg Beban Administrasi Banknya ya Mbak Yomma. Tolong disesuaikan seperti jurnal yg ada di file yg diattach.
Aku ada note juga di redmine #3549

Terimakasih.

#5 - 04/21/2025 02:00 PM - Tri Rizqgiaty

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :

Update folder AP12/bin : MinovalS.MinovaES.Business.Logistic.dll

#6 - 04/23/2025 04:32 PM - haykal haykal

- File Contoh_dJurnal_PPN_yg_menghitung_dari_Shipping Cost juga_(revised).xlsx added

- Status changed from QA Test to Assigned
- Assignee changed from haykal haykal to Tri Rizqgiaty
http://remote.minovais.com:3000/redmine/issues/3549

Untk Beban Administrasi Bank udh ok Mbak.

Cuma ini ada satu case lagi terkait PPN.

Jadi 'kan sebelumnya PPN itu menghitungnya dari harga setelah discount saja tanpa memperhitungkan Shipping Cost. Nah sekarang PPN nya ingin
memperhitungkan Shipping Costnya juga. Untuk detailnya ada di file yang aku attach. Jadi jurnal yang terbentuk seharusnya adalah seperti yang di
file tersebut (yang bagian bawabh).

Tolong dibuat agar penghitungan PPN dan angka hasil jurnalnya menjadi seperti itu ya.

Terimakasih.

#7 - 04/23/2025 04:53 PM - Tri Rizqgiaty

- Assignee changed from Tri Rizqiaty to haykal haykal

Untuk perubahan ini bukan di back end & bukan di docfinancenya, tp di Ul ES & Ul CRM pd saat perhitungan tax di Doc Sales.

Jadi lebih baik bikin redmine baru, perubahan perhitungan tax di sales.

#8 - 05/05/2025 02:22 PM - haykal haykal

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma, untk saat ini dokumen jurnal Accountingnya tidak tergenerate.

Tadi aku coba test transaksi dari CRM, document Sales Ordernya terbentuk. Tapi document AR nya tidak.

DocNo Sales Order: 00000669

Tolong bantu diperbaiki ya.

Terimakasih.

#9 - 05/05/2025 03:14 PM - Tri Rizqgiaty

- Status changed from Assigned to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

tlg ditest. perbaikan sama dengan generate no voucher.

#10 - 05/05/2025 05:56 PM - haykal haykal
- Status changed from QA Test to Closed

#11 - 05/07/2025 06:19 PM - haykal haykal
- File Jurnal AR 00000596 seharusnya.xlsx added
- Status changed from Closed to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Developer,

Tampaknya perlu ada perbaikan lagi karena saya lihat jurnalnya masih ada yang salah.

Contoh jurnal yang salah adalah DocNo AR 00000596

Disitu dapat dilihat bahwa jurnalnya tidak balance. Setelah saya analisa ternyata nilai pada GLAccount Diskon Penjualan salah. Disitu tertulis 40.000
(nilai diskonnya) padahal seharusnya 36.036 (DPP Diskonnya). Lalu saya lihat nilai di GLAccount Piutang Usaha - Bank Mandiri juga salah. Disitu
tertulis 370.000 padahal harusnya 365.000 (370.000 - 5.000). Harusnya nilai Piutang Usaha - Bank Mandiri yang sebenarnya dikurang dulu dengan
nilai Beban Administrasi Bank (kalau gaksalah waktu itu yg di redmine Beban Administrasi Bank Mbak Yomma udh pernah benerin ini tapi entah
kenapa skrg salah lagi)

Untuk referensi perhitungan dan contoh jurnal yang seharusnya saya lampirkan di file ya.

Terimakasih.

#12 - 05/09/2025 09:00 AM - Tri Rizqgiaty
- Assignee changed from Tri Rizqiaty to haykal haykal
Untuk nilai DPP diskon & pajak diskon, saat ini memang bim dihitung, krn dr awal tdk ada skenario ini.
Jadi tolong disiapin field2 tsb.
Dan contoh jurnalny lagi.

Notes: nanti2 kalau bikin jurnal tolong dibuatin dengan skenario yg lengkap, beserta field2 yg dibutuhkan juga lengkap, jadi ga bolak balik revise krn
skenario yg bim lengkap.

#13 - 05/09/2025 11:41 AM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,
Sudah aku tambahkan ya field utk DPP Diskon

Di PTRSALESITEMS
NetDiscount: Ini adalah nilai DPP dari Diskon (Rumus: Discount/1,11)

Di PTRSALESHEADER
TotalNetDiscount: Adalah total penjumlahan NetDiscount yg ada di item

Untk akun Diskon Penjualan di PFILOINTEGRATE juga sudah aku ubah menjadi TotalNetDiscount

Kalau untk nilai PPN nya kalau aku lihat dari contoh dokumen AR 00000596 ini sudah benar sih Mbak, sudah benar 36667 (sudah sama antara di file
yang aku attach dan hasil di dokumen yg tergenerate).

Paling yang berbeda kalau aku lihat itu adalah nilai di akun Penjualan Toko DS 364324 kalau di aplikasi, kalau di file 360360.
Sepanjang yang saya tahu GLAccount 4-10101 Penjualan Toko DS itu 'kan mengambilnya dari TotalNetSales. Aku gaktau apakah karena perubahan
ini formula untk TotalNetSales harus diubah juga atau tidak. Dan mungkin bisa jadi nilai GLAccount 4-10101 Penjualan Toko DS itu salah di aplikasi

karena perhitungan Tax di Sales nya blm dibenerin Shofwan waktu itu.

Intinya sih GLAccount 4-10101 Penjualan Toko DS (TotalNetSales) itu mengambilnya dari DPP Total Original Price seperti di file yang aku attach
(rumusnya Total Original Price/1,11)

Tapi selama aku testing-testing setelah redmine yang dibenerin Shofwan sih hasilnya aman. Jadi kemungkinan sih harusnya gak perlu ada
perubahan formula utk TotalNetSales.

Terimakasih.
#14 - 05/13/2025 04:00 PM - Tri Rizgiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :
1. Update tbl docfield buat field2 tsb

2. Update perhitungan netsales tbl item di Ul (sebelumnya ditambah diskon, jd ditambah netdiskon) , tlg dirubah di Ul CRM jg, jika sdh benar.
3. Update folder API2/bin : MinovalS.MinovaES.Business.Logistic.dll

#15 - 05/14/2025 10:42 AM - haykal haykal
- File Diskon penjualan blm terbaca (masih 0).png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to shofwan shiddiq

Dear Shofwan,

Saya sudah test untk hasil saving dari Ul ES sudah benar hasilnya. Namun hasil saving dari CRM blm sesuai hasilnya. Di jurnalnya untk GLAccount
4-103 Diskon Penjualan angkanya masih 0 padahal seharusnya tidak (foto diattach).

Document hasil saving di Ul ES

DocNo SORD: 00000746
DocNo AR: 00000660

Document hasil saving dari CRM

DocNo SORD: 00000745
DocNo AR: 00000659
Tolong diperbaiki ya.

Terimakasih.

#16 - 05/19/2025 03:13 PM - shofwan shiddiq
- Assignee changed from shofwan shiddiq to haykal haykal

Salah nya dimana ya? CRM kan memang tidak ada nge save documen AR ya.
Sama CRM juga tidak ada akses ke jurnal GL Account.

Kalau di DocNo 00000745 PTRSALESHEADER sudah tersimpan nilai diskon nya berarti fungsi dari CRM sudah berjalan.

#17 - 05/19/2025 05:04 PM - haykal haykal
- Assignee changed from haykal haykal to shofwan shiddiq

Based on poin No. 2 di Notes #14 dari Mbak Yomma ya Wan. Ada yg perlu dirubah di Ul CRM juga, yaitu perhitungan netsales (jadinya ditambah
NetDiscount)

Terimakasih.

#18 - 05/19/2025 06:37 PM - shofwan shiddiq

1. Masukkan Net Diskon dari Ul
2. Ubah net sales menjadi ditambah NetDiskon
3. Perhitungan Net Diskon lihat di Ul

#19 - 05/20/2025 11:16 AM - shofwan shiddiq

- File clipboard-202505201115-ts9mh.png added

- File clipboard-202505201115-ydb70.png added

- File clipboard-202505201116-phrol.png added

- Status changed from Revise to QA Test

- Assignee changed from shofwan shiddiq to haykal haykal

Dear Haykal, perhitungan Sales Order sudah di update ya

Perubahan

1. Penambahan NetDiscount menggunakan rumus = discount / ( 100 + tax percentage ) / 100 )

2. Update rumus NetSales menjadi = NetTax + NetDiscount

Contoh Dokumen = 00000821
http://remote.minovais.com:3000/redmine/issues/14

Payment Method
 nA_tiemami_ama

Order Submitted

Document Number: 0000082]
Customer: Aaa

Confirm Tra

—t

select® from PTRSALESITEMS where DocNo='@@222319 or Docho='90880321"
76 % -
B Results g Messages
letDiscount  Totdmount RefDocTr RefDocTy RefDoclD  Sequence Warehouse ItemStatus  Sample CGtySample MaterialType QtyReal GtyAdjust MaterialGroup  NetTax NetSales Totall
1 16036.00 360000 0 0 0.00 03 0.00 0.00 32432400 360360.00 5688
2 16036.00 360000.00 o ooo2 2 0.00 03 0.00 0.00 01 32432400 36036000 5688
select® from PTRSALESITEMS where DocNo="8@888@819"' or Docho='@@888821|
76 % 2
B Results f Messages
CreateDate ChangeBy ChangeDate StartDate EndDate DiscountType DiscountPercentage TaxType Tax NetDiscount  TotAmount RefDocTr RefDocTy R
1 3 20250520105454 minovais  20250520105454 10 1 35676.00 36036.00 360000
2 20250520111376  shofwan 20250520111316 AMA-BUNDLING-2 10 1 35676.00 36036.00 360000.00
—

Document Number 00000819 saya save menggunakan ES, dan documen 00000821 menggunakan CRM, dan perhitungan hasil nya sudah sama.
Silahkan di test,

#20 - 05/20/2025 03:15 PM - haykal haykal
- Status changed from QA Test to Closed
Files

Junal Accounting DocNo SO 00000530 seharusnya.xlsx 9.71 KB
clipboard-202504171016-sqnwh.png 70.3 KB
clipboard-202504171016-phiwx.png 39.9 KB
clipboard-202504171016-a0atl.png 31.1 KB
Contoh_Jurnal_PPN_yg_menghitung_dari_Shipping_Cost_juga_(revisttl)2xisk
Jurnal AR 00000596 seharusnya.xIsx 12.9 KB
Diskon penjualan bim terbaca (masih 0).png 28.9 KB
clipboard-202505201115-ts9mh.png 70.8 KB
clipboard-202505201115-ydb70.png 20.9 KB
clipboard-202505201116-phrol.png 20 KB
